## org.hibernate.param
Class PositionalParameterSpecification

    java.lang.Object
      org.hibernate.param.AbstractExplicitParameterSpecification
          org.hibernate.param.PositionalParameterSpecification

All Implemented Interfaces:
  ExplicitParameterSpecification, ParameterSpecification

    public class PositionalParameterSpecification

extends AbstractExplicitParameterSpecification
implements ParameterSpecification

Parameter bind specification for an explicit positional (or ordinal) parameter.

Author:
  Steve Ebersole

Constructor Summary
`PositionalParameterSpecification(int sourceLine, int sourceColumn, int hqlPosition)` Constructs a position/ordinal parameter bind specification.

Method Summary
`int` `bind(PreparedStatement statement, QueryParameters qp, SessionImplementor session, int position)` Bind the appropriate value into the given statement at the specified position.
`int` `getHqlPosition()` Getter for property 'hqlPosition'.
`String` `renderDisplayInfo()` Render this parameter into displayable info (for logging, etc).

Methods inherited from class org.hibernate.param.AbstractExplicitParameterSpecification
`getExpectedType, getSourceColumn, getSourceLine, setExpectedType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.param.ParameterSpecification
`getExpectedType, setExpectedType`

Constructor Detail

### PositionalParameterSpecification

    public PositionalParameterSpecification(int sourceLine,
                                            int sourceColumn,
                                            int hqlPosition)

  Constructs a position/ordinal parameter bind specification.

  Parameters:
    `sourceLine` - See `AbstractExplicitParameterSpecification.getSourceLine()`
    `sourceColumn` - See `AbstractExplicitParameterSpecification.getSourceColumn()`
    `hqlPosition` - The position in the source query, relative to the other source positional parameters.

Method Detail

### bind

    public int bind(PreparedStatement statement,
                    QueryParameters qp,
                    SessionImplementor session,
                    int position)
             throws SQLException

  Bind the appropriate value into the given statement at the specified position.

  Specified by:
    `bind` in interface `ParameterSpecification`
  Parameters:
    `statement` - The statement into which the value should be bound.
    `qp` - The defined values for the current query execution.
    `session` - The session against which the current execution is occuring.
    `position` - The position from which to start binding value(s).
  Returns:
    The number of sql bind positions "eaten" by this bind operation.
  Throws:
    `SQLException` - Indicates problems performing the JDBC biind operation.

### renderDisplayInfo

    public String renderDisplayInfo()

  Render this parameter into displayable info (for logging, etc).

  Specified by:
    `renderDisplayInfo` in interface `ParameterSpecification`
  Returns:
    The displayable info.

### getHqlPosition

    public int getHqlPosition()

  Getter for property 'hqlPosition'.

  Returns:
    Value for property 'hqlPosition'.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.